package com.ruoyi.system.mapper_shate;

import com.ruoyi.system.domain_shate.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:30
 */
public interface TopographicFactorMapper
{
    List<Altitude> sqlAltitude(@Param("zone") String zone,
                               @Param("year") String year);

    List<Altitude> sqlYear();

    List<Slope>  sqlSlope(@Param("zone") String zone,
                          @Param("year") String year);

    List<Slope> sqlYear1();

    List<Aspect>  sqlAspect(@Param("zone") String zone,
                            @Param("year") String year);

    List<Aspect> sqlYear2();

    Integer InsertSlope(Slope slope);

    Integer InsertAltitude(Altitude altitude);

    Integer InsertAspect(Aspect aspect);
}
